Pipelines

Create a Pipeline

This endpoint has been deprecated and may be replaced or removed in future versions of the API.

Creates a new pipeline to transform data, given an output schema. It returns the created pipeline's details. Pipelines are long-lived, so we recommend you create them outside of your application loop and reuse them.

POST
/v1-beta/pipelines
x-api-key<token>

Authenticate using API Key in request header

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.bem.ai/v1-beta/pipelines" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "outputSchema": {}  }'
{
  "pipelineID": "string",
  "name": "string",
  "outputSchema": {},
  "outputSchemaName": "string",
  "emailAddress": "string",
  "webhookEnabled": true,
  "webhookURL": "string",
  "tabularChunkingEnabled": true,
  "independentDocumentProcessingEnabled": true
}